# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'editRackDialog.ui'
#
# Created by: PyQt5 UI code generator 5.14.1
#
# WARNING! All changes made in this file will be lost!


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_editRackDialog(object):
    def setupUi(self, editRackDialog):
        editRackDialog.setObjectName("editRackDialog")
        editRackDialog.resize(359, 352)
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(editRackDialog)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.general_box = QtWidgets.QGroupBox(editRackDialog)
        self.general_box.setObjectName("general_box")
        self.formLayout_2 = QtWidgets.QFormLayout(self.general_box)
        self.formLayout_2.setObjectName("formLayout_2")
        self.label = QtWidgets.QLabel(self.general_box)
        self.label.setObjectName("label")
        self.formLayout_2.setWidget(0, QtWidgets.QFormLayout.LabelRole, self.label)
        self.rackName_edit = QtWidgets.QLineEdit(self.general_box)
        self.rackName_edit.setObjectName("rackName_edit")
        self.formLayout_2.setWidget(0, QtWidgets.QFormLayout.FieldRole, self.rackName_edit)
        self.label_10 = QtWidgets.QLabel(self.general_box)
        self.label_10.setObjectName("label_10")
        self.formLayout_2.setWidget(1, QtWidgets.QFormLayout.LabelRole, self.label_10)
        self.pickColour_button = ColourPicker(self.general_box)
        self.pickColour_button.setObjectName("pickColour_button")
        self.formLayout_2.setWidget(1, QtWidgets.QFormLayout.FieldRole, self.pickColour_button)
        self.privateRack_tickBox = QtWidgets.QCheckBox(self.general_box)
        self.privateRack_tickBox.setObjectName("privateRack_tickBox")
        self.formLayout_2.setWidget(2, QtWidgets.QFormLayout.SpanningRole, self.privateRack_tickBox)
        self.verticalLayout_2.addWidget(self.general_box)
        self.collectedStrips_box = QtWidgets.QGroupBox(editRackDialog)
        self.collectedStrips_box.setObjectName("collectedStrips_box")
        self.formLayout = QtWidgets.QFormLayout(self.collectedStrips_box)
        self.formLayout.setObjectName("formLayout")
        self.collectAutoPrintedStrips_tickBox = QtWidgets.QCheckBox(self.collectedStrips_box)
        self.collectAutoPrintedStrips_tickBox.setObjectName("collectAutoPrintedStrips_tickBox")
        self.formLayout.setWidget(1, QtWidgets.QFormLayout.SpanningRole, self.collectAutoPrintedStrips_tickBox)
        self.collectsFrom_label = QtWidgets.QLabel(self.collectedStrips_box)
        self.collectsFrom_label.setObjectName("collectsFrom_label")
        self.formLayout.setWidget(2, QtWidgets.QFormLayout.LabelRole, self.collectsFrom_label)
        self.collectsFrom_edit = QtWidgets.QPlainTextEdit(self.collectedStrips_box)
        self.collectsFrom_edit.setTabChangesFocus(True)
        self.collectsFrom_edit.setBackgroundVisible(True)
        self.collectsFrom_edit.setObjectName("collectsFrom_edit")
        self.formLayout.setWidget(2, QtWidgets.QFormLayout.FieldRole, self.collectsFrom_edit)
        self.label_2 = QtWidgets.QLabel(self.collectedStrips_box)
        font = QtGui.QFont()
        font.setItalic(True)
        self.label_2.setFont(font)
        self.label_2.setObjectName("label_2")
        self.formLayout.setWidget(0, QtWidgets.QFormLayout.SpanningRole, self.label_2)
        self.verticalLayout_2.addWidget(self.collectedStrips_box)
        spacerItem = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_2.addItem(spacerItem)
        self.deleteRack_sepLine = QtWidgets.QFrame(editRackDialog)
        self.deleteRack_sepLine.setFrameShape(QtWidgets.QFrame.HLine)
        self.deleteRack_sepLine.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.deleteRack_sepLine.setObjectName("deleteRack_sepLine")
        self.verticalLayout_2.addWidget(self.deleteRack_sepLine)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.deleteRack_button = QtWidgets.QToolButton(editRackDialog)
        self.deleteRack_button.setCheckable(True)
        self.deleteRack_button.setObjectName("deleteRack_button")
        self.horizontalLayout.addWidget(self.deleteRack_button)
        spacerItem1 = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout.addItem(spacerItem1)
        self.deleteRack_info = QtWidgets.QLabel(editRackDialog)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.deleteRack_info.setFont(font)
        self.deleteRack_info.setObjectName("deleteRack_info")
        self.horizontalLayout.addWidget(self.deleteRack_info)
        self.verticalLayout_2.addLayout(self.horizontalLayout)
        self.buttonBox = QtWidgets.QDialogButtonBox(editRackDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.Cancel|QtWidgets.QDialogButtonBox.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout_2.addWidget(self.buttonBox)
        self.label.setBuddy(self.rackName_edit)
        self.label_10.setBuddy(self.pickColour_button)
        self.collectsFrom_label.setBuddy(self.collectsFrom_edit)

        self.retranslateUi(editRackDialog)
        self.deleteRack_button.toggled['bool'].connect(self.general_box.setDisabled)
        self.deleteRack_button.toggled['bool'].connect(self.collectedStrips_box.setDisabled)
        QtCore.QMetaObject.connectSlotsByName(editRackDialog)
        editRackDialog.setTabOrder(self.rackName_edit, self.privateRack_tickBox)
        editRackDialog.setTabOrder(self.privateRack_tickBox, self.collectAutoPrintedStrips_tickBox)
        editRackDialog.setTabOrder(self.collectAutoPrintedStrips_tickBox, self.collectsFrom_edit)
        editRackDialog.setTabOrder(self.collectsFrom_edit, self.deleteRack_button)

    def retranslateUi(self, editRackDialog):
        _translate = QtCore.QCoreApplication.translate
        editRackDialog.setWindowTitle(_translate("editRackDialog", "Rack properties"))
        self.general_box.setTitle(_translate("editRackDialog", "General"))
        self.label.setText(_translate("editRackDialog", "Rack name:"))
        self.label_10.setText(_translate("editRackDialog", "Link colour:"))
        self.privateRack_tickBox.setText(_translate("editRackDialog", "Exclude from who-has responses (private rack)"))
        self.collectedStrips_box.setTitle(_translate("editRackDialog", "Strips to collect"))
        self.collectAutoPrintedStrips_tickBox.setText(_translate("editRackDialog", "Auto-printed strips"))
        self.collectsFrom_label.setText(_translate("editRackDialog", "Handovers\n"
"from:"))
        self.collectsFrom_edit.setToolTip(_translate("editRackDialog", "One ATC callsign per line"))
        self.label_2.setText(_translate("editRackDialog", "NB: These properties take over values from other racks."))
        self.deleteRack_button.setText(_translate("editRackDialog", "Delete rack"))
        self.deleteRack_info.setText(_translate("editRackDialog", "##"))
from gui.widgets.miscWidgets import ColourPicker
